Index of /xen/debian/stretch-nmu/49x

[ICO]NameLast modifiedSizeDescription

[DIR]Parent Directory  -  
[DIR]dbgsym/27-Dec-2017 14:14 -  
[DIR]setup/27-Dec-2017 16:12 -  
[DIR]source/08-Jan-2018 09:18 -  
[   ]filelist27-Dec-2017 14:06 792  
[IMG]libxen-4.9_4.9.1-2+deb9u1.1_amd64.deb27-Dec-2017 13:40 437K 
[IMG]libxen-dev_4.9.1-2+deb9u1.1_amd64.deb27-Dec-2017 13:40 693K 
[IMG]libxenstore3.0_4.9.1-2+deb9u1.1_amd64.deb27-Dec-2017 13:40 49K 
[IMG]qemuu_2.10+deb9u1.1_amd64.deb27-Dec-2017 13:41 5.4M 
[TXT]README.stretch-nmu.txt27-Dec-2017 20:12 2.5K 
[IMG]xen-hypervisor-4.6-amd64_4.9.1-2+deb9u1.1_amd64.deb27-Dec-2017 13:40 37K 
[IMG]xen-hypervisor-4.7-amd64_4.9.1-2+deb9u1.1_amd64.deb27-Dec-2017 13:40 37K 
[IMG]xen-hypervisor-4.8-amd64_4.9.1-2+deb9u1.1_amd64.deb27-Dec-2017 13:40 37K 
[IMG]xen-hypervisor-4.9-amd64_4.9.1-2+deb9u1.1_amd64.deb27-Dec-2017 13:40 1.9M 
[IMG]xen-system-amd64_4.9.1-2+deb9u1.1_amd64.deb27-Dec-2017 13:40 37K 
[IMG]xen-utils-4.9_4.9.1-2+deb9u1.1_amd64.deb27-Dec-2017 13:40 452K 
[IMG]xen-utils-common_4.9.1-2+deb9u1.1_all.deb27-Dec-2017 13:39 279K 
[IMG]xenstore-utils_4.9.1-2+deb9u1.1_amd64.deb27-Dec-2017 13:41 44K 

Stretch Nmu Xen-4.9 Port from Ubuntu Artful

The Ubuntu Xen-4.9 sources from the Artful repo were rebuilt for Stretch. This is the install trace. All of the patching deltas for this NMU build are here. There are 3 delta patches. Looking for a similar build for deb10 (Buster)? Here is buster-nmu-49.
Our build started with this post to Xen-Users ML: https://lists.xenproject.org/archives/html/xen-users/2017-10/msg00016.html

Includes compatible qemu-2.10

Stretch provides qemu 2.8 (qemu-system-x86) which is built with and requires libxen-4.8, thus is not compatible with our packages. In Artful, qemu is built with libxen-4.9. We will do the same but our qemu is sourced from xenbits (qemu-xen.git, staging-4.10). An extra tarball is added (xen_4.9.1.orig-qemuu.tar.xz) to the *.dsc carrying our 2.10 source. This build goes a step further and provides qemuu as a resulting binary. In the d/control all the qemuu build-deps are separately listed.

qemuu-2.10 depends

dpkg-deb -I qemuu_2.10+deb9u1.1_amd64.deb
sudo dpkg-deb -I qemuu_2.10+deb9u1.1_amd64.deb new debian package, version 2.0. size 5707876 bytes: control archive=3879 bytes. 1246 bytes, 13 lines control 7670 bytes, 106 lines md5sums Package: qemuu Source: xen (4.9.1-2+deb9u1.1) Version: 2.10+deb9u1.1 Architecture: amd64 Maintainer: Ubuntu Developers Installed-Size: 24773 Depends: glusterfs-common, libacl1 (>= 2.2.51-8), libaio1 (>= 0.3.93), libbrlapi0.6, libbz2-1.0, libc6 (>= 2.15), libcap-ng0, libcap2 (>= 1:2.10), libcurl3-gnutls (>= 7.16.3), libfdt1, libgcc1 (>= 1:4.7), libgcrypt20 (>= 1.7.0), libglib2.0-0 (>= 2.37.1), libgnutls30 (>= 3.5.6), libiscsi7 (>= 1.17.0), libjpeg62-turbo (>= 1.3.1), liblzo2-2, libncursesw5 (>= 6), libnfs8 (>= 1.11.0), libnuma1 (>= 2.0.11), libpixman-1-0 (>= 0.19.6), libpng16-16 (>= 1.6.2-1), librados2 (>= 0.72.2), librbd1 (>= 0.80.5-2~), libsasl2-2, libsdl2-2.0-0 (>= 2.0.4), libseccomp2 (>= 2.1.0), libspice-server1 (>= 0.12.6), libssh2-1 (>= 1.5.0), libstdc++6 (>= 4.1.1), libtinfo5 (>= 6), libusb-1.0-0 (>= 2:1.0.19), libusbredirparser1 (>= 0.6), libuuid1 (>= 2.16), libvdeplug2, libx11-6, libxen-4.9 (>= 4.9.1), libxenstore3.0 (>= 4.1.0~rc6), zlib1g (>= 1:1.2.0) Provides: qemuu Section: admin Priority: optional Description: qemu-system-i386 (2.10) with 9pfs support Warning: This is a custom testing build of Xen. Original-Maintainer: Debian Xen Team

Ovmf Support is included

Figlet Test

Entering directory '/home/tlviewer/pbdeps/xen-4.9.1/debian/build/build-hypervisor_amd64_amd64/xen' __ __ _ _ ___ _ \ \/ /___ _ __ | || | / _ \ / | \ // _ \ '_ \ | || || (_) || | / \ __/ | | | |__ _\__, || | /_/\_\___|_| |_| |_|(_)/_(_)_| make[5]: Leaving directory '/home/tlviewer/pbdeps/xen-4.9.1/debian/build/build-hypervisor_amd64_amd64/xen'

Disclaimer

This is my work and my opinion for the release and is not official xensource project work. Use wget/curl to download any *.deb. Clicking is disabled. PryMar56 Oct 7, 2017